<!DOCTYPE html>
<html>

<head>
    <link rel="stylesheet" href="style/style.css">
</head>

<body>
    <div class="page">
        <div class="projectTitle">
            <h1>First Project</h1>
            <p>My Todo Assignment</p>
        </div>
        <header id="header">
            <div id="loggedUserName">
                <p>You are logged in as : </p>
            </div>
            <nav id="nav">
                <ul>
                    <li>
                        <a id="homeLink" onclick="homeLink_Click()">Home</a>
                    </li>
                    <li data-show="guest">
                        <a id="loginLink" onclick="loginLink_Click()">Login</a>
                    </li>
                    <li data-show="user">
                        <a id="logoutLink" onclick="logoutLink_Click()">Logout</a>
                    </li>
                    <li data-show="admin">
                        <a id="usersLink" onclick="usersLink_Click()">Users</a>
                    </li>
                    <li data-show="user">
                        <a id="todosLink" onclick="todosLink_Click()">Lists</a>
                    </li>
                    <li data-show="user">
                        <a id="tasksLink" onclick="tasksLink_Click()">Tasks</a>
                    </li>
                </ul>
            </nav>

        </header>


        <section id="content" class="section container"></section>
        <footer id="footer" class="footer">
            <p>ToDo Assignment by Hristo</p>
        </footer>
    </div>



    <script src="scripts/services.js"></script>
    <script src="scripts/entities/user.js"></script>
    <script src="scripts/entities/list.js"></script>
    <script src="scripts/entities/task.js"></script>
    <script src="scripts/repositories/userRepository.js"></script>
    <script src="scripts/repositories/listRepository.js"></script>
    <script src="scripts/repositories/taskRepository.js"></script>

    <script src="scripts/views/loginPage.js"></script>
    <script src="scripts/homePage.js"></script>
    <script src="scripts/views/users/usersPage.js"></script>
    <script src="scripts/views/users/usersEditPage.js"></script>
    <script src="scripts/views/list/listPage.js"></script>
    <script src="scripts/views/list/listEditPage.js"></script>
    <script src="scripts/views/tasks/taskEditPage.js"></script>
    <script src="scripts/views/tasks/taskPage.js"></script>

    <script src="scripts/index.js"></script>
    <script src="scripts/events/index.js"></script>
    <script src="scripts/events/user.js"></script>
    <script src="scripts/events/list.js"></script>
    <script src="scripts/events/task.js"></script>

</body>

</html>